<?php

namespace WPRuby_CAA\Core\App\Backend\Endpoints;


use WPRuby_CAA\Core\Dto\User;

class Get_User_Endpoint extends Abstract_Endpoint {

	public function callback( $data )
	{
		$user_id = intval($data['user_id']);

		$user = get_user_by('id', $user_id);

		$user = new User($user_id);

		$response = $user->toArray();

		$response['restricted_plugins_items'] = $this->deNormalizePluginsItems($response['restricted_plugins_items']);

		$this->output($response);
	}

	public function action()
	{
		return 'caa_get_user';
	}

	private function deNormalizePluginsItems( array $restricted_plugins_items ) :array
	{
		$items = [];
		foreach ($restricted_plugins_items as $plugin_key => $restricted_plugins_item) {
			foreach ($restricted_plugins_item as $page_key => $page_items) {
				foreach ($page_items as $page_slug) {
					$items[] = sprintf('%s|%s|%s', $plugin_key, $page_key, $page_slug);
				}
			}
		}

		return $items;
	}
}
